Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class ApplicationMuleContextBuilder

    java.lang.Object
      org.mule.context.DefaultMuleContextBuilder
          org.mule.module.launcher.ApplicationMuleContextBuilder

All Implemented Interfaces:
  MuleContextBuilder

    public class ApplicationMuleContextBuilder

extends DefaultMuleContextBuilder

Takes Mule application descriptor into account when building the context.

Field Summary
`protected ApplicationDescriptor` | `desc`

Fields inherited from class org.mule.context.DefaultMuleContextBuilder
`config, lifecycleManager, logger, notificationManager, shutdownScreen, startupScreen, workListener, workManager`

Constructor Summary
`ApplicationMuleContextBuilder(ApplicationDescriptor desc)`

Method Summary
`protected DefaultMuleConfiguration` | `createMuleConfiguration()`

Methods inherited from class org.mule.context.DefaultMuleContextBuilder
`buildMuleContext, createLifecycleManager, createNotificationManager, createWorkListener, createWorkManager, getLifecycleManager, getMuleConfiguration, getNotificationManager, getShutdownScreen, getStartupScreen, getWorkListener, getWorkManager, setLifecycleManager, setMuleConfiguration, setNotificationManager, setShutdownScreen, setStartupScreen, setWorkListener, setWorkManager, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### desc

    protected ApplicationDescriptor desc

Constructor Detail

### ApplicationMuleContextBuilder

    public ApplicationMuleContextBuilder(ApplicationDescriptor desc)

Method Detail

### createMuleConfiguration

    protected DefaultMuleConfiguration createMuleConfiguration()

  Overrides:
    `createMuleConfiguration` in class `DefaultMuleContextBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.